<div class="container">
  <div class="row">
    <div class="col">
      <h2 style="margin-top: 50px; margin-bottom: 15px; border-bottom: solid 1px #007bff;">Create your account</h2>
      <form class="form-horizontal" method="post" action="#" #heroForm="ngForm">

        <div class="md-form input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text md-addon" id="material-addon1"><i class="fa fa-user fa" aria-hidden="true"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Login" [(ngModel)]="form.login" name="login" aria-label="Login" aria-describedby="material-addon1">
        </div>

        <div class="md-form input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text md-addon" id="material-addon1"><i class="fa fa-user fa" aria-hidden="true"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Surname" [(ngModel)]="form.surname" name="surname" aria-label="surname" aria-describedby="material-addon1">
        </div>

        <div class="md-form input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text md-addon" id="material-addon1"><i class="fa fa-user fa" aria-hidden="true"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Name" [(ngModel)]="form.name" name="name" aria-label="name" aria-describedby="material-addon1">
        </div>

        <div class="md-form input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text md-addon" id="material-addon1"><i class="fa fa-lock fa-lg" aria-hidden="true"></i></span>
          </div>
          <input type="password" class="form-control" placeholder="Password" [(ngModel)]="form.password" aria-label="password" name="password" aria-describedby="material-addon1">
        </div>

        <mat-progress-bar
          mode="determinate"
          [value]="computePasswordStrength(form.password)"
          [color]="red"
          style="margin-bottom: 20px;">
        </mat-progress-bar>

        <div class="md-form input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text md-addon" id="material-addon1"><i class="fa fa-lock fa-lg" aria-hidden="true"></i></span>
          </div>
          <input type="password" [class]="computePasswordCheckClass(form.password, form.passwordCheck)" placeholder="Password confirmation" [(ngModel)]="form.passwordCheck" aria-label="password" name="passwordCheck" aria-describedby="material-addon1">
        </div>

        <div class="form-group">
          <label for="avatarFile">Avatar</label>
          <input type="file" class="form-control-file" (change)="onFileChange($event)" name="avatar" id="avatarFile">
        </div>

        <div class="form-group ">
          <button type="button" class="btn btn-primary btn-lg btn-block login-button" (click)="submitForm()">Register</button>
        </div>
        <div class="login-register">
          <a routerLink="/login">Login</a>
        </div>
      </form>

      <span style="display: block; color: #d71616; margin-top: 15px;">{{error}}</span>

    </div>
  </div>
</div>

